<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Admin | Contact Management</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!--Bootstrap-->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <!--Bootstrap DataTable-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <a class="nav-link" data-widget="navbar-search" href="#" role="button">
          <i class="fas fa-search"></i>
        </a>
        <div class="navbar-search-block">
          <form class="form-inline">
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>

      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-comments"></i>
          <span class="badge badge-danger navbar-badge">3</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Brad Diesel
                  <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">Call me whenever you can...</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  John Pierce
                  <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">I got your message bro</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Nora Silvester
                  <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">The subject goes here</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
        </div>
      </li>
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header">15 Notifications</span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new messages
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 friend requests
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Admin</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Huy Trần Quang</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      
      
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6 text-bold">
            <h1>Quản lý Contacts - Food Ordering</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Contact Management</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="form-group">
        <button class="btn btn-success" id="btn-them-contact"><i class="fa fa-plus"></i>&nbsp; Thêm contact</button>
      </div>
      <!-- Vùng Table -->
      <table id="contact-table" class="table table-bordered table-striped table-hover">
        <thead>
          <tr>
            <th>STT</th>
            <th>Name</th>
            <th>Email</th>
            <th>Message</th>
            <th>Ngày liên hệ</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
  
        </tbody>
      </table>
      <!-- Vùng Modal -->

  <!-- Create contact modal -->
  <div>
    <div id="create-contact-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Create new contact</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Name</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-name" 
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Email</label>
                </div>
                <div class="col-sm-8">
                  <input type="email" id="inp-email"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Message</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="inp-message"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label for="inp-date" class="col-form-label ">Ngày liên hệ</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" class="form-control transparent-background" id="inp-date" readonly>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary" id="btn-create-contact">Create Contact</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Update contact modal -->
  <div>
    <div id="update-contact-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Update Contact</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Name</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-name" 
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Email</label>
                </div>
                <div class="col-sm-8">
                  <input type="email" id="input-email"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Message</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" id="input-message"
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label for="inp-date" class="col-form-label ">Ngày liên hệ</label>
                </div>
                <div class="col-sm-8">
                  <input type="text" class="form-control transparent-background" id="input-date" readonly>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
            <button class="btn btn-primary" id="btn-update-contact">Update Contact</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Delete confirm modal -->
  <div>
    <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Delete Contact Confirmation</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <label>Bạn có chắc chắn muốn xóa contact này không?</label>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-confirm-delete-contact">Confirm</button>
            <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          </div>
        </div>
      </div>
    </div>
  </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b>  1.0
    </div>
    <strong>Copyright &copy; 2023 <a href="https://adminlte.io">Huy</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<script>
$(document).ready(function () {
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "https://62442d9d3da3ac772b0c50eb.mockapi.io/api/v1";
    const gCONTENT_TYPE = "application/json;charset=UTF-8";
    // Biến mảng hằng số chứa danh sách tên các thuộc tính
    const gCONTACT_COLS = [
      "stt", 
      "name", 
      "email", 
      "message", 
      "createDate",  
      "id"
    ];
    // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
    const gCONTACT_STT_COL = 0;
    const gCONTACT_NAME_COL = 1;
    const gCONTACT_EMAIL_COL = 2;
    const gCONTACT_MESSAGE_COL = 3;
    const gCONTACT_CREATE_DATE_COL = 4;
    const gCONTACT_ACTION_COL = 5;
    // Biến toàn cục để hiển lưu STT
    var gSTT = 1;
    // Khai báo DataTable & mapping collumns
    var gContactTable = $("#contact-table").DataTable({
      columns: [
        { data: gCONTACT_COLS[gCONTACT_STT_COL] },
        { data: gCONTACT_COLS[gCONTACT_NAME_COL] },
        { data: gCONTACT_COLS[gCONTACT_EMAIL_COL] },
        { data: gCONTACT_COLS[gCONTACT_MESSAGE_COL] },
        { data: gCONTACT_COLS[gCONTACT_CREATE_DATE_COL] },
        { data: gCONTACT_COLS[gCONTACT_ACTION_COL] }
      ],
      columnDefs: [
        { // định nghĩa lại cột STT
          targets: gCONTACT_STT_COL,
          render: function () {
            return gSTT++;
          }
        },

        { // định nghĩa lại cột action
          targets: gCONTACT_ACTION_COL,
          render: function (paramData) {
            return `
              <img class="edit-contact" data-id=${paramData} src="https://cdn0.iconfinder.com/data/icons/glyphpack/45/edit-alt-512.png" style="width: 20px;cursor:pointer;">
              <img class="delete-contact" data-id=${paramData} src="https://cdn4.iconfinder.com/data/icons/complete-common-version-6-4/1024/trash-512.png" style="width: 20px;cursor:pointer;">
            `
          }
        }
      ]
    });
    // Biến toàn cục để lưu các mảng giá trị
    var gContactArray = [];
    // Biến toàn cục để lưu id contact
    var gContactId = 0;
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    // thực hiện tải trang
    onPageLoading();
    // 2 - C: gán sự kiện Create - Thêm mới contact
    $("#btn-them-contact").on("click", function () {
      onBtnAddNewContactClick();
    });
    // 3 - U: gán sự kiện Update - Sửa 1 contact
    $("#contact-table").on("click", ".edit-contact", function () {
      onBtnEditContactClick(this);
    });
    // 4 - D: gán sự kiện delete - Xóa 1 contact
    $("#contact-table").on("click", ".delete-contact", function () {
      onBtnDeleteContactClick(this);
    });
    

    //phần modal
    // gán sự kiện cho nút Create Contact (trên modal)
    $("#btn-create-contact").on("click", function () {
      onBtnCreateContactClick();
    });
    // gán sự kiện cho nút Update Contact (trên modal)
    $("#btn-update-contact").on("click", function () {
      onBtnUpdateContactClick();
    });
    // Gán sự kiện cho nút Confirm Delete Contact (trên modal)
    $("#btn-confirm-delete-contact").on("click", function () {
      onBtnConfirmDeleteContactClick();
    });
  
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      //Read / Load course to DataTable
      getAllContact();
    }
    // Hàm xử lý sự kiện khi nút Thêm mới đc click
    function onBtnAddNewContactClick() {
      // hiển thị modal trắng lên
      $("#create-contact-modal").modal("show");
    }
    // hàm xử lý sự kiện create contact button modal click
    function onBtnCreateContactClick() {
      // đối tượng contact sẽ được tạo mới
      var vContactObj = {
        name: "",
        email: "",
        message: "",
        createDate: ""
      };
      // B1: Thu thập dữ liệu
      getCreateContactData(vContactObj);
      console.log(vContactObj);
      // B2: Validate insert
      var vIsContactValidate = validateContactData(vContactObj);
      if (vIsContactValidate) {
        // B3: insert contact
        $.ajax({
          url: gBASE_URL + "/contacts",
          type: "POST",
          contentType: gCONTENT_TYPE,
          data: JSON.stringify(vContactObj),
          success: function (paramRes) {
            // B4: xử lý front-end
            handleInsertContactSuccess()
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }
    }

    function onBtnEditContactClick(paramBtnEdit) {
      // lưu thông tin contactID đang được edit vào biến toàn cục
      gContactId = $(paramBtnEdit).data("id");
      console.log(gContactId);
      $("#update-contact-modal").modal("show");
      // load dữ liệu vào các trường dữ liệu trong modal
      getContactByIdAndLoadToUpdateModal(gContactId);
    }
    function onBtnDeleteContactClick(paramBtnDelete){
      //lưu thông tin contactId đang được edit vào biến
      gContactId = $(paramBtnDelete).data("id");
      console.log(gContactId);
      $("#delete-confirm-modal").modal("show");
    }

    // hàm xử lý sự kiện update contact modal click
    function onBtnUpdateContactClick() {
      // đối tượng contact sẽ được sửa
      var vContactObj = {
        name: "",
        email: "",
        message: "",
        createDate: ""
      };
      // B1: Thu thập dữ liệu
      getUpdateContactData(vContactObj);
      console.log(vContactObj);
      // B2: Validate update
      var vIsContactValidate = validateContactData(vContactObj);
      if (vIsContactValidate) {
        // B3: update contact
        $.ajax({
          url: gBASE_URL + "/contacts/" + gContactId,
          type: "PUT",
          contentType: gCONTENT_TYPE,
          data: JSON.stringify(vContactObj),
          success: function (paramRes) {
            // B4: xử lý front-end
            handleUpdateContactSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }
    }
    // hàm xử lý sự kiện delete contact modal click
    function onBtnConfirmDeleteContactClick(){
      "use strict";
      $.ajax({
          url: gBASE_URL + "/contacts/" + gContactId,
          type: "DELETE",       
          success: function (paramRes) {
            // B4: xử lý front-end
            handleDeleteContactSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // hàm gọi api để lấy all danh sách order
    function getAllContact() {
      $.ajax({
        url: gBASE_URL + "/contacts/",
        type: "GET",
        success: function (paramContacts) {
          gContactArray = paramContacts;
          console.log(gContactArray);
          loadDataToProductTable(gContactArray);
        },
        error: function (paramErr) {
          console.log(paramErr.status);
        }
      });
    }
    /** load Contact array to DataTable */
    function loadDataToProductTable(paramContactArray) {
      gSTT = 1;
      gContactTable.clear();
      gContactTable.rows.add(paramContactArray);
      gContactTable.draw();
    }
    // hàm thu thập dữ liệu để create contact
    function getCreateContactData(paramContactObj) {
      paramContactObj.name = $("#inp-name").val().trim();
      paramContactObj.email = $("#inp-email").val().trim();
      paramContactObj.message = $("#inp-message").val().trim();
      paramContactObj.createDate = getDateToday();
    }
    // hàm validate data
    function validateContactData(paramContactObj) {
      if (paramContactObj.name == "") {
        alert("name cần nhập");
        return false;
      }
      if (paramContactObj.email == "") {
        alert("email cần nhập");
        return false;
      }
      if (paramContactObj.message == "") {
        alert("Message cần nhập");
        return false;
      }
      if (ValidateEmail(paramContactObj.email) == false) {
        alert("Email sai định dạng!");
        return false;
      }
      return true;
    }

    function getDateToday() {
        var vToday = new Date();
        var vDay = vToday.getDate();
        var vMonth = vToday.getMonth() + 1;
        var vYear = vToday.getFullYear();
        if (vDay < 10) {
            vDay = '0' + vDay;
        }
        if (vMonth < 10) {
            vMonth = '0' + vMonth;
        }
        vToday = vDay + '/' + vMonth + '/' + vYear;
        return vToday;
    }

    function ValidateEmail(paramEmail) {
        var vRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        if (paramEmail.match(vRegex)) {
            return true;
        }
        else
            return false;
    }

    // hàm xử lý hiển thị front-end khi thêm Contact thành công
    function handleInsertContactSuccess() {
      alert("Thêm contact thành công!");
      getAllContact();
      resertCreateContactForm();
      $("#create-contact-modal").modal("hide");
    }
    // hàm xóa trắng form create contact
    function resertCreateContactForm() {
      $("#inp-name").val();
      $("#inp-email").val();
      $("#inp-message").val();
      $("#inp-date").val();
    }
    // hàm gọi api để lấy contact by id
    function getContactByIdAndLoadToUpdateModal(paramContactId){
      $.ajax({
        url: gBASE_URL + "/contacts/" + paramContactId,
        type: "GET",
        success: function (paramContacts) {
          console.log(paramContacts);
          loadDataToUpdateModal(paramContacts);
        },
        error: function (paramErr) {
          console.log(paramErr.status);
        }
      });
    }
    // hàm show contact obj lên modal
    function loadDataToUpdateModal(paramContact) {
      $("#input-name").val(paramContact.name);
      $("#input-email").val(paramContact.email);
      $("#input-message").val(paramContact.message);
      $("#input-date").val(paramContact.createDate);
    }
    
    // hàm thu thập dữ liệu để update contact
    function getUpdateContactData(paramContactObj) {
      paramContactObj.name = $("#input-name").val().trim();
      paramContactObj.email = $("#input-email").val().trim();
      paramContactObj.message = $("#input-message").val();
      paramContactObj.createDate = getDateToday;
    }
    // hàm xử lý hiển thị front-end khi sửa contact thành công
    function handleUpdateContactSuccess() {
      alert("Sửa contact thành công!");
      getAllContact();
      resertUpdateContactForm();
      $("#update-contact-modal").modal("hide");
    }
    // hàm xóa trắng form update contact
    function resertUpdateContactForm() {
      $("#input-name").val();
      $("#input-email").val();
      $("#input-message").val();
      $("#input-date").val();
    }
    function handleDeleteContactSuccess(){
      // Hàm xử lý hiển thị front-end khi xóa contact thành công
      alert("Xóa contact thành công!");
      getAllContact();    
      $("#delete-confirm-modal").modal("hide");
    }
  });
</script>
</body>
</html>
